import 'dart:async';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/fosend.dart';
import 'package:shared_preferences/shared_preferences.dart';
//import 'package:provider/provider.dart';


Map arMessages={};
String getMessage(String code,[Map asRep=const {}]){
  String res='';
  if(arMessages.containsKey(code)){
    res=arMessages[code];
    asRep.forEach((k, v) {
      res=res.replaceAll(k,v.toString());
    });
  }
  return res;
}
class AppProvider extends ChangeNotifier{
  AppProvider(){
    Constants.initTheme();
    checkTheme();
    notifyListeners();
  }
  void refrash(){
    notifyListeners();
  }

  Function changePage=(){};

  ThemeData theme = Constants.lightTheme;
  Key key = UniqueKey();
  GlobalKey<NavigatorState> navigatorKey = GlobalKey<NavigatorState>();

  void setKey(value) {
    key = value;
    notifyListeners();
  }

  void setNavigatorKey(value) {
    navigatorKey = value;
    notifyListeners();
  }

  void setTheme(value, c) {
    theme = value;
    SharedPreferences.getInstance().then((prefs){
      prefs.setString("theme", c).then((val){
        SystemChrome.setEnabledSystemUIMode(SystemUiMode.manual, overlays: SystemUiOverlay.values);
        SystemChrome.setSystemUIOverlayStyle(SystemUiOverlayStyle(
          statusBarColor: Constants.colors['primary'],
          statusBarIconBrightness: c == "dark" ? Brightness.light:Brightness.dark,
        ));
      });
    });
    notifyListeners();
  }

  ThemeData getTheme() {
    return theme;
  }

  Future<ThemeData> checkTheme() async{
    //SharedPreferences prefs = await SharedPreferences.getInstance();
    ThemeData t;
    //print(prefs.getString("theme"));
    String r = 'light';//prefs.getString("theme") == null ? "dark" : prefs.getString("theme");
    //r = 'light';
    if(r == "light"){
      t = Constants.lightTheme;
      setTheme(Constants.lightTheme, "light");
    }else{
      t = Constants.darkTheme;
      setTheme(Constants.darkTheme, "dark");
    }

    return t;
  }

  Future<void> initLanguage() async{
    var fo=FoSend();
    arMessages=await fo.send('lang', {});
  }
}