import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/widgets/grid_category.dart';
import 'package:provider/provider.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/providers/data_provider.dart';
import 'package:foapp/widgets/slider.dart';
import 'package:foapp/util/fbanalitics.dart';


class Home extends StatefulWidget {
  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> with SingleTickerProviderStateMixin<Home>{
  late DataProvider dataProv;

  @override
  void initState() {
    super.initState();
    dataProv=Provider.of<DataProvider>(context, listen: false);
    FbAnalitics.pageSet('Main');
  }

  @override
  void dispose() {
    super.dispose();
  }

  List<T> map<T>(List list, Function handler) {
    List<T> result = [];
    for (var i = 0; i < list.length; i++) {
      result.add(handler(i, list[i]));
    }

    return result;
  }


  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: getBody(),
    );
  }

  Widget getBody(){
    List<Widget> arRows=[
      Padding(
        padding: EdgeInsets.fromLTRB(10.0,0,10.0,20.0),
        child: SliderPar(),
      ),
      Container(
        alignment: Alignment.center,
        margin:EdgeInsets.only(bottom: 10.0),
        child:Text(
            getMessage('our_menu'),
            style:TextStyle(
              fontSize: getConstantStyle('fontSizeMainMenu'),
              fontWeight: FontWeight.w500,
            )
        ),
      ),
    ];
    /*arRows.add(
      Container(
        child:mainButton(context: context,title:'Click me',onClick:(){
          Navigator.of(context).push(
            MaterialPageRoute(
              builder: (BuildContext context){
                return WebViewPage(
                  title:'Меню',
                  url:'https://yanprimus.ru/pdf/menu.php',
                );
              },
            ),
          );
        }),
      )
    );*/
    List<Widget> arLines=[];
    dataProv.categories.forEach((el) {
      if(el.active && el.dpl==1) {
        arLines.add(GridCategory(category: el));
      }
    });
    bool isLargeDevice=MediaQuery.of(context).size.width>600;
    arRows.add(
        GridView.count(
          primary: false,
          shrinkWrap: true,
          padding:EdgeInsets.all(10),
          crossAxisCount: isLargeDevice?4:2,
          crossAxisSpacing: 10,
          mainAxisSpacing: 10,
          children: arLines,
        )
    );
    return ListView(
      padding: EdgeInsets.only(top: 10),
      children: arRows,
    );
  }

  /*@override
  bool get wantKeepAlive => true;*/
}
