import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/widgets/main_button.dart';


class LoadingStop extends StatelessWidget {
  final Map dataMess;

  LoadingStop({
    Key? key,
    required this.dataMess,
  })
      :super(key: key);

  @override
  Widget build(BuildContext context) {
    //MenuProvider menuProv=Provider.of<MenuProvider>(context, listen: false);
    return Scaffold(
      backgroundColor: Theme.of(context).primaryColor,
      body: Container(
        margin: EdgeInsets.only(left: 40.0, right: 40.0),
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              Image.asset(
                "assets/logo.png",
              ),
              Container(
                margin: EdgeInsets.only(top:30),
                child:Column(
                  children:[
                    Text(
                      dataMess['name'],
                      textAlign: TextAlign.center,
                      style:TextStyle(
                        fontSize: 22,
                        fontWeight: FontWeight.w600
                      ),
                    ),
                    SizedBox(height: 15),
                    Text(
                      dataMess['desc'],
                      textAlign: TextAlign.center,
                      style:TextStyle(
                        fontSize: 18,
                      ),
                    ),
                    SizedBox(height: 30),
                    MainButton(
                      title: dataMess['btnTitle']!=null?dataMess['btnTitle']:getMessage('open'),
                      minWidth: double.infinity,
                      onClick: () async{
                        dataMess['btnFunc']();
                      },
                    ),
                  ],
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }


}
