import 'dart:io' show Platform;
import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/fbanalitics.dart';
import 'package:foapp/util/tools.dart';
import 'package:foapp/widgets/app_bar_simple.dart';
import 'package:foapp/widgets/main_button.dart';

class OrderFinish extends StatefulWidget {
  @required dynamic params;
  OrderFinish({
    required this.params,
  })
      :super();
  @override
  _OrderFinishState createState() => _OrderFinishState();
}

class _OrderFinishState extends State<OrderFinish> {

  void _paySuccess(){
    widget.params['needPay']=false;
    widget.params['payed']=true;
    setState(() {

    });
  }

  @override
  void initState() {
    FbAnalitics.pageSet('OrderFinished');
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    dynamic params=widget.params;

    return Scaffold(
      appBar: AppBarSimple(
        title: getMessage('of_order_finis',{'#num#':params['orderNum']}),
        noBack: true,
        act:IconButton(
          tooltip: getMessage('back'),
          icon: Icon(
            Icons.clear,
            color: Constants.colors['back'],
          ),
          onPressed: ()=>Navigator.pop(context),
        ),
      ),

      body: Center(
        child: Container(
          padding: EdgeInsets.all(10),
          child:Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children:[
              Text(
                getMessage(params['payed']?'of_finish_title_payed_thanks':(params['needPay']?'of_finish_title_thanks_pay':'of_finish_title_thanks')),
                textAlign: TextAlign.center,
                style:TextStyle(
                  fontSize: getConstantStyle('fontSizeOrderFinisText'),
                  fontWeight: FontWeight.bold,
                ),
              ),
              Container(
                margin:EdgeInsets.only(top:30,bottom: 30),
                alignment: Alignment.center,
                child:MainButton(
                  title: getMessage('close').toUpperCase(),
                  onClick: (){
                    Navigator.pop(context);
                  },
                ),
              ),
            ],
          ),

        ),
      ),
    );
  }
  Widget _showPayBtn({Function()? onPressed}){
    Widget res;
    if(widget.params['type']=='apple-google-pay'){
      res = TextButton(
        style: TextButton.styleFrom(
          padding: EdgeInsets.all(0.0),
          backgroundColor: Platform.isIOS?Color(0xffffffff):Color(0xff000000),
          side:BorderSide(width: 2.0, color: Color(0xff000000)),
          minimumSize: Size(280,50),
        ),
        child: SvgPicture.asset(
          "assets/"+(Platform.isIOS?'apple':'google')+"-pay.svg",
          height: 50.0,
          fit: BoxFit.cover,
        ),
        onPressed: onPressed,
      );
    }else {
      res = TextButton(
        style: TextButton.styleFrom(
          backgroundColor: getConstantColor('main'),
        ),
        child: Text(
          getMessage('pay').toUpperCase(),
          style: TextStyle(
            fontSize: 20,
            color: Colors.white,
          ),
        ),
        onPressed: onPressed,
      );
    }
    return res;
  }
}
