import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:foapp/providers/user_provider.dart';
import 'package:foapp/util/local_auth.dart';
import 'package:foapp/widgets/splash_content.dart';
import 'package:provider/provider.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/providers/data_provider.dart';
import 'package:foapp/screens/main.dart';
import 'package:foapp/util/fosend.dart';


class SplashScreen extends StatefulWidget {
  @override
  _SplashScreenState createState() => _SplashScreenState();
}

class _SplashScreenState extends State<SplashScreen> {
  bool hInternet=true;
  changeScreen() async{
    AppProvider appProv=Provider.of<AppProvider>(context, listen: false);
    await appProv.initLanguage();
    await LocalAuthPhone.init();
    if(LocalAuthPhone.phone.length>0) Provider.of<UserProvider>(context, listen: false).userSync();
    appProv.checkTheme();
    Navigator.of(context).pushAndRemoveUntil(
      MaterialPageRoute(
        builder: (BuildContext context){
          return MainScreen();
        },
      ),
      (Route<dynamic> route) => false
    );
  }

  @override
  void initState() {
    super.initState();
    SystemChrome.setEnabledSystemUIMode(SystemUiMode.manual, overlays: []);
    Provider.of<DataProvider>(context, listen: false).onLoadedData(changeScreen);
    haveInternet().then((haveInternet) {
      setState(() {
        hInternet=haveInternet;
      });
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Theme.of(context).primaryColor,
      body: SplashContent(haveInternet:hInternet),
    );
  }


}
