import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:google_fonts/google_fonts.dart';
import 'package:foapp/util/color.dart';
import 'package:provider/provider.dart';
class Constants{

  static String appName = "Fast Mobile";

  static Map colors={
    'main':Color(0xffffd64d),
    'primary':Color(0xffffffff),
    'bg':Color(0xffffffff),
    'backprimary':Color(0xff000000),
    'text':Color(0xff000000),

    'appBarTextColor':Color(0xff000000),
    'appBarBackColor':Color(0xff000000),
    'appBarActColor':Color(0xff000000),
    //'appBarBgColor':Color(0xffffd64d),
    'appBarBgColor':Color(0xffffffff),

    'catBg':Color(0x66000000),
    'grayMain':Color(0xff444444),
    'сatText':Colors.white,
    'orderBgSelectType':Color(0xffDDDDDD),
    'btnText':Color(0xff000000),
    'dropDownBg':Color(0xffdddddd),
    'inputBottomBorder':Color(0xff666666),
    'disabledBg':Color(0xffdddddd),
    'disabledText':Color(0xff333333),
    'delete':Colors.red,
    'back':Colors.red,
    'red':Colors.red,
    'call':Colors.red,
    'messOk':Colors.green,
    'messWarning':Colors.orange,
    'messError':Colors.red,
  };
  static Map<String,dynamic> styles={
    'categoryTypeList':'list',
    'fontMain':'PT Sans',
    'fontSizeMainCatText':16.0,
    'icoMenuCatalog':'restaurant_menu',
    'icoMenuAbout':'fa.utensils',
    'icoMenuProfile':'fa.userAlt',
    'icoMenuCart':'fa.shoppingBasket',
    'fontSizeMainMenu':24.0,
    'fontSizeCatText':18.0,
    'fontSizeCatName':16.0,
    'fontSizeCatDesc':14.0,
    'fontSizeAppBarTitle':22.0,
    'fontSizePrice':26.0,
    'fontSizeBtn':16.0,
    'fontSizeIngName':13.0,
    'icoSizeProduct':30.0,
    'fontSizeCatSizeText':13.0,
    'fontSizeDetailTitle':24.0,
    'detailPicHeight':1.0,
    'gridSpaceSize':7.0,
    'catListNoDesc':'N',
    'gridSizeLines':2.0,
    'fontSizeGrid2Price':14.0,
    'fontSizeDetailFloatBtn':14.0,
    'fontSizeReqDepartmentTitle':24.0,
    'fontSizeDetailBtnDisabled':18.0,
    'fontSizeOrderFinisText':22.0,
    'radiusSizeBtn':8.0,
    'radiusSizeBtnBig':10.0,
    'radiusSizeIngs':10.0,
    'radiusSizeTovars':10.0,
    'radiusSizeCats':10.0,
    'radiusSizeBanners':10.0,
    'radiusSizeCoupon':8.0,
    'radiusSizeSelDelivery':8.0,

    'paddingSizeBJU':15.0,
    'appBarHeightSize':45.0,

    'detailAnimateSizePic':180.0,
    'detailAnimateSizeTime':400.0,
  };
  static void initColor(Map clrs){
    if(!colors.containsKey('btn') && colors.containsKey('main')) colors['btn']=colors['main'];
    clrs.forEach((k, v) {
      if(v.length>0) colors[k]=HexColor.fromHex(v);
    });
    if(!colors.containsKey('btn')) colors['btn']=colors['main'];
  }
  static String stylesHash='';
  static void initStyle(Map config,[BuildContext? context]){
    if(stylesHash==config['hash']) return;
    initColor(config['colors']);
    List doubleVals=['detailPicHeight'];
    styles.forEach((k,v) {
      if(k.indexOf('Size')!=-1) doubleVals.add(k);
      if(config['styles'].containsKey(k) && config['styles'][k].toString().length>0){
        if(doubleVals.contains(k)) styles[k]=double.parse(config['styles'][k].toString());
        else styles[k]=config['styles'][k].toString();
      }
    });
    initTheme();
    if(context!=null){
      AppProvider appProv=Provider.of<AppProvider>(context, listen: false);
      appProv.checkTheme();
    }
  }

  static ThemeData themeDropDown(BuildContext context){
    return Theme.of(context).copyWith(
      canvasColor: Constants.colors['dropDownBg'],
    );
  }

  static ThemeData lightTheme = ThemeData();
  static ThemeData darkTheme = ThemeData();
  static void initTheme() {

    lightTheme = ThemeData(
      backgroundColor: colors['bg'],
      primaryColor: colors['primary'],
      //accentColor: colors['main'],
      scaffoldBackgroundColor: colors['bg'],
      fontFamily: GoogleFonts.getFont(styles['fontMain']).fontFamily,
      textTheme: TextTheme(
        bodyText1: TextStyle(),
        bodyText2: TextStyle(),
      ).apply(
        bodyColor: colors['text'],
        displayColor: colors['text'],
      ),
      textSelectionTheme: TextSelectionThemeData(
        cursorColor: Colors.black.withAlpha(80),
      ),
      appBarTheme: AppBarTheme(
        shadowColor: Colors.transparent,
        backgroundColor: colors['appBarBgColor'],
        toolbarTextStyle: GoogleFonts.getFont(
          styles['fontMain'],
          color: colors['text'],
          fontSize: 18.0,
          fontWeight: FontWeight.w800,
        ),
      ),
    );

    darkTheme = lightTheme;
  }
}

Color getConstantColor(String cd){
  Color res=Color(0xff000000);
  if(Constants.colors.containsKey(cd)) res=Constants.colors[cd];
  return res;
}
dynamic getConstantStyle(String cd){
  if(Constants.styles.containsKey(cd)) return Constants.styles[cd];
  else return '';
}