import 'package:firebase_analytics/firebase_analytics.dart';


class FbAnalitics{
  static bool enabled=true;
  static FirebaseAnalytics analytics=FirebaseAnalytics.instance;
  static String currency='RUB';
  static void event({required String event, Map<String,dynamic>? params}){
    analytics.logEvent(name: event,parameters:params);
  }
  static void cartAction({required String name, String fo='',String cat='',int qty=0,double price=0.0}){
    if(qty>0){
      analytics.logAddToCart(
          items:[AnalyticsEventItem(
            itemId: fo,
            itemName: name,
            itemCategory: cat,
            quantity: qty,
          )],
          value: price,
          currency: currency,
      );
    }else{
      analytics.logRemoveFromCart(
        items:[AnalyticsEventItem(
          itemId: fo,
          itemName: name,
          itemCategory: cat,
          quantity: qty,
        )],
        value: price,
        currency: currency,
      );
    }
  }
  static void checkoutStart({double sum=0.0}){
    analytics.logBeginCheckout(value: sum,currency: currency);
  }
  static void ecommercePurchase({required String oid,double sum=0.0,String coupon=''}){
    analytics.logPurchase(
        currency: currency,
        value: sum,
        coupon: coupon,
        transactionId: oid
    );
  }
  static void userLogin({String type='phone'}){
    analytics.logLogin(loginMethod: type);
  }
  static void userLogout({String type='phone'}){
    analytics.logSignUp(signUpMethod: type);
  }
  static void pageCategory({String cat=''}){
    analytics.logViewItemList(
      items:[AnalyticsEventItem(itemCategory: cat)]
    );
  }
  static void pageItem({required String id,required String name,String cat=''}){
    analytics.logViewItem(
      items:[AnalyticsEventItem(
        itemId: id,
        itemName: name,
        itemCategory: cat,
      )],
    );
  }
  static void pageSet(String page){
    analytics.setCurrentScreen(screenName: page);
  }
}