import 'package:foapp/providers/app_provider.dart';

String getPhoneClear(String ph){
  String p=ph.replaceAll(RegExp(r'[^\d]+'),'');
  if(p.isNotEmpty && p[0]=='7') p=p.substring(1);
  if(p.isNotEmpty && p[0]=='8') p=p.substring(1);
  if(p.length>10) p=p.substring(0,10);
  return p;
}
String getPhoneFormat(String? ph){
  if(ph==null) return '';
  ph=getPhoneClear(ph);
  return _applyMask(getMessage('phone_mask'),ph);
}

Map<String, RegExp> getDefaultTranslator() {
  return {
    'A': RegExp(r'[A-Za-z]'),
    '9': RegExp(r'[0-9]'),
    '@': RegExp(r'[A-Za-z0-9]'),
    '*': RegExp(r'.*')
  };
}

String _applyMask(String mask, String value) {
  String result = '';

  var maskCharIndex = 0;
  var valueCharIndex = 0;

  var translator=getDefaultTranslator();

  while (true) {
    // if mask is ended, break.
    if (maskCharIndex == mask.length) {
      break;
    }

    // if value is ended, break.
    if (valueCharIndex == value.length) {
      break;
    }

    var maskChar = mask[maskCharIndex];
    var valueChar = value[valueCharIndex];

    // value equals mask, just set
    if (maskChar == valueChar) {
      result += maskChar;
      valueCharIndex += 1;
      maskCharIndex += 1;
      continue;
    }

    // apply translator if match
    if (translator.containsKey(maskChar)) {
      if (translator[maskChar]!.hasMatch(valueChar)) {
        result += valueChar;
        maskCharIndex += 1;
      }

      valueCharIndex += 1;
      continue;
    }

    // not masked value, fixed char on mask
    result += maskChar;
    maskCharIndex += 1;
    continue;
  }

  return result;
}
