import 'dart:io';
import 'package:device_info/device_info.dart';
import 'package:package_info/package_info.dart';


Map platformInfo={'platform':''};
Future<Map> getPlatformInfo() async{
  if(platformInfo['platform']!='') return platformInfo;
  var packageInfo=await PackageInfo.fromPlatform();
  platformInfo={'platform':Platform.operatingSystem,'platformVer':'','version':packageInfo.version,'device':'','deviceId':''};
  if (Platform.isAndroid) {
    var androidInfo = await DeviceInfoPlugin().androidInfo;
    platformInfo['platformVer']=androidInfo.version.release;
    platformInfo['device']=androidInfo.brand+' '+androidInfo.model;
    platformInfo['deviceId']=androidInfo.androidId;
  }

  if (Platform.isIOS) {
    var iosInfo = await DeviceInfoPlugin().iosInfo;
    platformInfo['platformVer'] = iosInfo.systemVersion;
    platformInfo['device']=iosInfo.model;
    platformInfo['deviceId']=iosInfo.identifierForVendor;
  }
  return platformInfo;
}