import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/tools.dart';
import 'package:foapp/widgets/main_button.dart';

import 'const.dart';

showWindow({required BuildContext context,required String title,required Widget content,bool close=true}){
  Widget winContent=Column(
    mainAxisSize: MainAxisSize.min,
    children:[
      Container(
        padding:const EdgeInsets.fromLTRB(17.0,17.0,17.0,12.0),
        child:Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children:[
            Container(
              margin:const EdgeInsets.only(bottom:10.0),
              alignment: Alignment.center,
              child:Text(
                title,
                style: TextStyle(
                  fontSize: 31.0,
                  fontFamily: getConstantStyle('fontAppBarTitle'),
                ),
              ),
            ),
            content,
            widgetByCondition(
              cond: close,
              func: ()=>Container(
                margin:const EdgeInsets.only(top:10.0),
                child:MainButton(
                    title:getMessage('close'),
                    minWidth: double.infinity,
                    onClick: (){
                      Navigator.pop(context);
                    }
                ),
              ),
            ),
          ],
        ),
      ),
    ],
  );
  Dialog popup = Dialog(
    child: winContent,
    shape: RoundedRectangleBorder(
      borderRadius: BorderRadius.all(Radius.circular(getConstantStyle('radiusSizeBtn')*1.2)),
    ),
  );
  showDialog(
    context: context,
    builder: (BuildContext context) {
      return popup;
    },
  );
}