import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/screens/addresses.dart';
import 'package:foapp/screens/addressnew.dart';
import 'package:foapp/util/tools.dart';


class AddressSelect extends StatefulWidget {
  String curAddress;
  List addresses;
  final Function selectAddress;

  AddressSelect({
    Key? key,
    required this.curAddress,
    required this.addresses,
    required this.selectAddress,
    })
      :super(key: key);
  @override
  _AddressSelectState createState() => _AddressSelectState();
}

class _AddressSelectState extends State<AddressSelect> {
  @override
  Widget build(BuildContext context) {
    final Map? address=widget.addresses.firstWhere((el) => el['id']==widget.curAddress, orElse: () => null);
    return Container(
      padding:EdgeInsets.only(bottom:(address!=null?5:10)),
      decoration: BoxDecoration (
        border: Border(
          bottom: BorderSide(
            color: Constants.colors['inputBottomBorder'],
            width: 0.5,
          ),
        ),
      ),
      child: address!=null?_selectAddressW(address):_newAddressW(),
    );
  }
  Widget _newAddressW(){
    return InkWell(
      child:Row(
        children: [
          Expanded(
            child:Text(
              getMessage('addr_new_add'),
              style: TextStyle(
                fontSize: 18,
              ),
            )
          ),
          Icon(
            Icons.add,
            color: getConstantColor('main'),
          ),
        ],
      ),
      onTap: () => _addAddress(),
    );
  }
  void _addAddress(){
    Navigator.of(context).push(
      MaterialPageRoute(
        builder: (BuildContext context){
          return AddressNew(selectAddress: widget.selectAddress);
        },
      ),
    );
  }
  Widget _selectAddressW(Map address){
    return InkWell(
      child:Row(
        children: [
          Expanded(
            child:Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children:[
                Text(
                    address['AddressStr'],
                    style:TextStyle(
                      fontWeight: FontWeight.bold,
                      fontSize: 16,
                    )
                ),
                Text(
                    addressSecondDesc(address),
                    style:TextStyle(
                      color: Colors.grey,
                      fontSize: 14,
                    )
                ),
              ],
            ),
          ),
          Icon(
            Icons.keyboard_arrow_right,
            color: Constants.colors['inputBottomBorder'],
          ),
        ],
      ),
      onTap: () => _selectAddress(),
    );
  }
  void _selectAddress(){
    Navigator.of(context).push(
      MaterialPageRoute(
        builder: (BuildContext context){
          return Addresses(addresses: widget.addresses, selectAddress: _setNewCurAddress,backFrom:_backFrom);
        },
      ),
    );
  }
  void _backFrom(){
    bool delCur=true;
    widget.addresses.forEach((el) {
      if(el['id']==widget.curAddress) delCur=false;
    });
    if(delCur){
      widget.curAddress=widget.addresses.length>0?widget.addresses.first['id']:'';
      setState(() {});
      widget.selectAddress(widget.curAddress);
    }
  }
  void _setNewCurAddress(String id){
    widget.curAddress=id;
    setState(() {});
    widget.selectAddress(id);
  }
}
