import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';

class AppBarSimple extends StatelessWidget implements PreferredSizeWidget {
  const AppBarSimple({
    Key? key,
    required this.title,
    this.backFrom,
    this.act,
    this.managerLogout=true,
    this.noBack=false,
    this.noBackEvent=false,
    this.decFSa=0,
  }) : super(key: key);
  final String title;
  final Function? backFrom;
  final Widget? act;
  final bool managerLogout;
  final bool noBack;
  final bool noBackEvent;
  final double decFSa;

  @override
  Size get preferredSize => Size.fromHeight(getConstantStyle('appBarHeightSize') );

  @override
  Widget build(BuildContext context) {
    double decFS=(title.length>20?4:(title.length>16?2:0));
    decFS+=decFSa;
    Widget? actO;
    if(act!=null) actO=act;
    return AppBar(
      //backgroundColor: getConstantColor('appBarBgColor'),
      automaticallyImplyLeading: false,
      leading: (noBack ? null : IconButton(
        icon: Icon(
          Icons.keyboard_backspace,
          color: getConstantColor('appBarBackColor'),
        ),
        onPressed: () {
          if (backFrom != null) backFrom!();
          if (!noBackEvent) Navigator.pop(context);
        },
      )),
      centerTitle: true,
      title: Text(
        title,
        style: TextStyle(
          fontSize: getConstantStyle('fontSizeAppBarTitle') - decFS,
          color: getConstantColor('text'),
        ),
      ),
      elevation: 0.0,
      actions: actO == null ? null : [actO],
    );
  }
}