import 'package:badges/badges.dart';
import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/providers/user_provider.dart';
import 'package:foapp/util/const.dart';
import 'package:provider/provider.dart';

class BasketIcon extends StatelessWidget{
  const BasketIcon({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    UserProvider userProv=Provider.of<UserProvider>(context, listen: false);
    String bsCnt=(userProv.getBasketCnt()>0?userProv.getBasketCnt().toString():'');
    Widget icoO=Icon(
      Icons.shopping_cart,
      color:getConstantColor('appBarActColor'),
      size: 26,
    );
    if(bsCnt.length>0) {
      icoO = Badge(
        position: BadgePosition.topEnd(top: -6, end: -5),
        animationDuration: Duration(milliseconds: 300),
        animationType: BadgeAnimationType.slide,
        badgeColor: getConstantColor('main'),
        badgeContent: Text(
          bsCnt,
          style: TextStyle(
              color: getConstantColor('btnText'),
              fontWeight: FontWeight.w600,
              fontSize: 12,
              height: 1
          ),
        ),
        child: icoO,
      );
    }
    return IconButton(
      icon: icoO,
      onPressed: (){
        while(Navigator.canPop(context)) Navigator.pop(context);
        Provider.of<AppProvider>(context, listen: false).changePage(3);
      },
    );
  }
}