import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';

class CounterInput extends StatelessWidget{
  const CounterInput({
    Key? key,
    required this.cnt,
    required this.funcMinus,
    required this.funcPlus,
    this.size='n',
    this.width=double.infinity,
  }) : super(key: key);
  final int cnt;
  final Function funcMinus;
  final Function funcPlus;
  final String size;
  final double width;

  @override
  Widget build(BuildContext context) {
    double kf=1;
    if(size=='xs') kf=0.7;
    if(size=='s') kf=0.85;
    if(size=='b') kf=1.3;
    return Container(
      width: width,
      height: 40*kf,
      alignment: Alignment.center,
      //height:90,
      constraints: const BoxConstraints(
        maxWidth: 400.0,
      ),
      decoration: BoxDecoration(
        color: getConstantColor('disabledBg'),
        borderRadius: BorderRadius.all(
          Radius.circular(20*kf),
        ),
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          InkWell(
            onTap: (){
              funcMinus();
            },
            child: AspectRatio(
              aspectRatio: 1,
              child:Container(
                alignment: Alignment.center,
                decoration: BoxDecoration(
                  color: getConstantColor('main'),
                  borderRadius: BorderRadius.all(
                    Radius.circular(20*kf),
                  ),
                ),
                child: Text(
                  '–',
                  style: TextStyle(
                      fontSize: 32*kf,
                      color:getConstantColor('primary'),
                      height: 1
                  ),
                ),
              ),
            ),
          ),
          Container(
            padding:const EdgeInsets.only(top:2.0),
            child:Text(
              cnt.toString(),
              textAlign: TextAlign.center,
              style: TextStyle(
                fontSize: 20*kf,
                fontWeight: FontWeight.w500,
              ),
            ),
          ),
          InkWell(
            onTap: (){
              funcPlus();
            },
            child: AspectRatio(
              aspectRatio: 1,
              child:Container(
                alignment: Alignment.center,
                padding:EdgeInsets.only(bottom:2.0*kf),
                decoration: BoxDecoration(
                  color: getConstantColor('main'),
                  borderRadius: BorderRadius.all(
                    Radius.circular(20*kf),
                  ),
                ),
                child: Text(
                  '+',
                  style: TextStyle(
                      fontSize: 32*kf,
                      color:getConstantColor('primary'),
                      height: 1
                  ),
                ),
              ),
            ),
          ),
        ],
      ),
    );
  }
}