import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/tools.dart';

class DisabledButton extends StatelessWidget{
  const DisabledButton({
    Key? key,
    required this.title,
    this.onClick,
    this.minWidth,
    this.minHeight,
    this.radius,
    this.fontSize,
    this.height=0,
  }) : super(key: key);
  final String title;
  final Function? onClick;
  final double? minWidth;
  final double? minHeight;
  final double? radius;
  final double? fontSize;
  final double height;

  @override
  Widget build(BuildContext context) {
    double rd=getConstantStyle('radiusSizeBtn');
    if(radius!=null) rd=radius!;
    Widget btn=TextButton(
      style: TextButton.styleFrom(
        backgroundColor: Constants.colors['disabledBg'],
        minimumSize: minWidth!=null || minHeight!=null?Size(minWidth??100,minHeight??30):null,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(rd),
        ),
      ),
      child: Text(
        title,
        style: TextStyle(
          color: Constants.colors['disabledText'],
          fontSize:fontSize??getConstantStyle('fontSizeBtn')-4,
        ),
      ),
      onPressed: (){
        onClick!();
      },
    );
    if(height>0){
      btn=SizedBox(
        height:height,
        child:btn,
      );
    }
    return btn;
  }
}