import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/tools.dart';

class GradientIcon extends StatelessWidget {
  const GradientIcon(
    Key? key,
    this.icon,
    this.size,
    this.gradient,
  ): super(key: key);
  final IconData icon;
  final double size;
  final Gradient gradient;

  @override
  Widget build(BuildContext context) {
    return ShaderMask(
      child: SizedBox(
        width: size * 1.2,
        height: size * 1.2,
        child: Icon(
          icon,
          size: size,
          color: Colors.white,
        ),
      ),
      shaderCallback: (Rect bounds) {
        final Rect rect = Rect.fromLTRB(0, 0, size, size);
        return gradient.createShader(rect);
      },
    );
  }
}