import 'package:flutter/material.dart';

class GrayScale extends StatelessWidget{
  const GrayScale({
    Key? key,
    required this.child,
    this.gray=true,
  }) : super(key: key);
  final bool gray;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    const ColorFilter greyscale = ColorFilter.matrix(<double>[
      0.2126, 0.7152, 0.0722, 0, 0,
      0.2126, 0.7152, 0.0722, 0, 0,
      0.2126, 0.7152, 0.0722, 0, 0,
      0,      0,      0,      1, 0,
    ]);
    const ColorFilter colorscale = ColorFilter.matrix(<double>[
      1, 0, 0, 0, 0,
      0, 1, 0, 0, 0,
      0, 0, 1, 0, 0,
      0, 0, 0, 1, 0,
    ]);

    return ColorFiltered(
      colorFilter: gray?greyscale:colorscale,
      child:child,
    );
  }
}