import 'package:flutter/material.dart';
import 'package:foapp/screens/category.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/menu_category.dart';

import 'image_cust.dart';

class GridCategory extends StatelessWidget {

  final MenuCategory category;

  GridCategory({
    Key? key,
    required this.category,
  })
    :super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: Container(
        decoration: BoxDecoration(
          color: getConstantColor('primary'),
          //border: Border.all(width: 1, color: Constants.colors['grayMain']),
          borderRadius: BorderRadius.all(
            Radius.circular(getConstantStyle('radiusSizeCats')),
          ),
          boxShadow: [
            BoxShadow(
              color: getConstantColor('grayMain').withOpacity(0.2),
              spreadRadius: 2,
              blurRadius: 5,
              //offset: Offset(0, 3), // changes position of shadow
            ),
          ],
        ),
        child:AspectRatio(
          aspectRatio: 1,
          child:ClipRRect(
            borderRadius:BorderRadius.circular(getConstantStyle('radiusSizeCats')),
            child: Stack(
              children:[
                Container(
                  alignment: Alignment.center,
                  child:AspectRatio(
                    aspectRatio: 1,
                    child: ImageCust(pic:category.pic),
                  ),
                ),
                Positioned(
                  left:0,
                  right:0,
                  bottom:0,
                  child:Container(
                    color: getConstantColor('catBg'),
                    padding:EdgeInsets.fromLTRB(10, 10, 10, 10),
                    child:  Text(
                      category.name,
                      style: TextStyle(
                        color:getConstantColor('сatText'),
                        fontWeight: FontWeight.w500,
                        fontSize:getConstantStyle('fontSizeMainCatText'),
                      )
                    ),
                  ),
                ),
              ],
            ),
          ),
        ),
      ),

      onTap: (){
        Navigator.of(context).push(
          MaterialPageRoute(
            builder: (BuildContext context){
              return Category(category: category);
            },
          ),
        );
      },
    );
  }
}
