import 'package:flutter/material.dart';

class LableRadio extends StatelessWidget {
  const LableRadio({
    required this.label,
    this.padding,
    this.groupValue,
    required this.value,
    this.onChanged,
  });

  final String label;
  final EdgeInsetsGeometry? padding;
  final String? groupValue;
  final String value;
  final void Function(String?)? onChanged;

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: () {
        if (value != groupValue && onChanged!=null) onChanged!(value);
      },
      child: Container(
        padding: (padding??EdgeInsets.zero),
        child: Row(
          children: <Widget>[
            Container(
              padding:const EdgeInsets.only(right: 5),
              child:SizedBox(
                height: 24.0,
                width: 24.0,
                child:Radio<String>(
                  materialTapTargetSize:MaterialTapTargetSize.shrinkWrap,
                  groupValue: groupValue,
                  value: value,
                  onChanged: onChanged,
                ),
              ),
            ),
            Expanded(
              child:Text(
                label,
                style:const TextStyle(
                    fontSize:16
                )
              ),
            ),
          ],
        ),
      ),
    );
  }
}
