import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/tools.dart';

class MainButton extends StatelessWidget{
  const MainButton({
    Key? key,
    this.title,
    this.contIn,
    this.onClick,
    this.minWidth,
    this.minHeight,
    this.radius,
    this.fontSize,
    this.height=0.0,
  }) : super(key: key);
  final String? title;
  final Widget? contIn;
  final Function? onClick;
  final double? minWidth;
  final double? minHeight;
  final double? radius;
  final double? fontSize;
  final double height;

  @override
  Widget build(BuildContext context) {
    double rd=getConstantStyle('radiusSizeBtn');
    if(radius!=null) rd=radius!;
    Widget btn=TextButton(
      style: TextButton.styleFrom(
        backgroundColor: getConstantColor('btn'),
        minimumSize: minWidth!=null || minHeight!=null?Size(minWidth??100,minHeight??30):null,
        shape: RoundedRectangleBorder(
          borderRadius: BorderRadius.circular(rd),
        ),
        elevation: 3,
        shadowColor: getConstantColor('gray'),
        padding:const EdgeInsets.fromLTRB(10.0,1.0,10.0,0),
      ),
      child: widgetByCondition(
        cond: contIn!=null,
        func: ()=>contIn,
        funcFls:()=>Text(
          title??'',
          style: TextStyle(
            fontSize: fontSize ?? getConstantStyle('fontSizeBtn'),
            fontWeight: FontWeight.w500,
            color: getConstantColor('btnText'),
            height: 1,
          ),
        ),
      ),
      onPressed: (){
        if(onClick!=null) onClick!();
      },
    );
    if(height>0){
      btn=SizedBox(
        height:height,
        child:btn,
      );
    }
    return btn;
  }
}