import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/tools.dart';

class PageButton extends StatelessWidget{
  const PageButton({
    Key? key,
    required this.text,
    this.icon,
    this.iconSize=36.0,
    this.onClick,
    this.tlt,
  }) : super(key: key);
  final String text;
  final IconData? icon;
  final double iconSize;
  final void Function()? onClick;
  final String? tlt;

  @override
  Widget build(BuildContext context) {
    return Container(
      margin:const EdgeInsets.all(8),
      child: InkWell(
        child:Container(
          padding:const EdgeInsets.all(10),
          decoration: BoxDecoration(
            color: getConstantColor('grayMain').withOpacity(0.05),
            border: Border.all(width: 1.5, color: getConstantColor('grayMain').withOpacity(0.2)),
            borderRadius: const BorderRadius.all(
              Radius.circular(8),
            ),
          ),
          child:Column(
            children: [
              Container(
                margin:EdgeInsets.only(bottom: (36-iconSize+(icon==null?0.0:5.0))),
                child:widgetByCondition(
                  cond:icon==null,
                  func:()=>Text(
                    tlt??'',
                    strutStyle: const StrutStyle(
                      height: 1,
                    ),
                    style:TextStyle(
                      fontSize: iconSize,
                      color: Colors.black,
                    ),
                  ),
                  funcFls:()=>Icon(
                    icon,
                    color: Colors.black,
                    size: iconSize,
                  ),
                ),
              ),
              Container(
                margin:const EdgeInsets.only(top:5),
                height: 36,
                child:Center(
                  child:Text(
                      text,
                      textAlign: TextAlign.center,
                      style:const TextStyle(
                        height: 1.2,
                        color:Colors.black,
                        fontSize:16,
                      )
                  ),
                ),
              ),
            ],
          ),
        ),
        onTap: onClick,
      ),
    );
  }
}