import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:foapp/providers/data_provider.dart';
import 'package:foapp/widgets/slider_item.dart';
import 'package:carousel_slider/carousel_slider.dart';
import 'package:foapp/util/popup.dart';

class SliderPar extends StatelessWidget {

  List<T> map<T>(List list, Function handler) {
    List<T> result = [];
    for (var i = 0; i < list.length; i++) {
      result.add(handler(i, list[i]));
    }

    return result;
  }

  @override
  Widget build(BuildContext context) {
    List els=Provider.of<DataProvider>(context, listen: false).banners;
    return CarouselSlider(
      options: CarouselOptions(
        height: (MediaQuery.of(context).size.width-20)/2.522 + MediaQuery.of(context).padding.top,
        //aspectRatio:2.522,
        autoPlay: true,
        viewportFraction: 1.0,
      ),
      items: map<Widget>(
        els,
            (index, i){
          Map el = els[index];
          return SliderItem(
            pic: el['pic'],
            onTap: ()=>popupShow(context: context, dataPopup: el['popup']),
          );
        },
      ).toList(),
    );
  }
}
