import 'package:flutter/material.dart';
import 'package:cached_network_image/cached_network_image.dart';
import 'package:foapp/util/const.dart';

class SliderItem extends StatelessWidget {

  final String pic;
  final Function onTap;


  SliderItem({
    Key? key,
    required this.onTap,
    required this.pic,
    })
      :super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      child: ListView(
        shrinkWrap: true,
        primary: false,
        children: <Widget>[
          Container(
            //height: MediaQuery.of(context).size.width/2.8,
            width: MediaQuery.of(context).size.width,
            child: ClipRRect(
              borderRadius: BorderRadius.circular(getConstantStyle('radiusSizeBanners')),
              child:Container(
                child:CachedNetworkImage(
                  imageUrl: pic,
                  //placeholder: (context, url) => CircularProgressIndicator(),
                  //errorWidget: (context, url, error) => Icon(Icons.error),
                ),
              ),
              /*child: Image.network(
                pic,
                fit: BoxFit.cover,
              ),*/
            ),
          ),

        ],
      ),
      onTap: ()=>onTap(),
    );
  }
}
