import 'package:flutter/material.dart';
import 'package:foapp/providers/app_provider.dart';
import 'package:foapp/util/tools.dart';

import 'image_cust.dart';

class SplashContent extends StatelessWidget{
  const SplashContent({
    Key? key,
    this.haveInternet=true,
  }) : super(key: key);
  final bool haveInternet;

  @override
  Widget build(BuildContext context) {
    return Container(
      //margin: EdgeInsets.only(left: 40.0, right: 40.0),
      child: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          crossAxisAlignment: CrossAxisAlignment.stretch,
          children: <Widget>[
            const ImageCust(
              pic: "assets/logo.png",
              width: 260,
              height: 260,
            ),
            widgetByCondition(
              cond:!haveInternet,
              func:()=>Container(
                margin: const EdgeInsets.only(top:30),
                alignment: Alignment.center,
                child:Text(
                    getMessage('no_have_internet'),
                    style:const TextStyle(
                      color:Colors.grey,
                    )
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}