import 'package:flutter/material.dart';
import 'package:foapp/util/const.dart';
import 'package:foapp/util/icons.dart';
import 'package:foapp/util/tools.dart';

import 'empty_widget.dart';

class WarningMess extends StatelessWidget{
  const WarningMess({
    Key? key,
    this.text,
    this.type='error',
    this.fontSize=34.0,
  }) : super(key: key);
  final String? text;
  final String type;
  final double fontSize;

  @override
  Widget build(BuildContext context) {
    if(text==null || text!.isEmpty) return EmptyWidget();
    Color color=(type=='warning'?getConstantColor('messWarning'):(type=='ok'?getConstantColor('messOk'):getConstantColor('messError')));
    return Container(
        margin:EdgeInsets.only(bottom:15),
        padding:EdgeInsets.all(10),
        decoration: BoxDecoration(
          border: Border.all(width: 1.5, color: (type=='ok'?color:getConstantColor('grayMain').withOpacity(0.5))),
          borderRadius: const BorderRadius.all(
            Radius.circular(20),
          ),
        ),
        child:Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: [
            Icon(
              (type=='ok'?iconByName('fa.checkCircle'):Icons.warning_amber_rounded),
              size:fontSize,
              color: color,//(type=='ok'?color:Constants.colors['grayMain'].withOpacity(0.5)),
            ),
            Expanded(
              child:Container(
                padding:const EdgeInsets.only(left:10),
                child:Text(
                  text!,
                  style:TextStyle(
                    fontSize:16.0,
                    color:color,
                    height: 1.2,
                  ),
                ),
              ),
            ),
          ],
        )
    );
  }
}